Index
$#! · 0-9 · A · B · C · D · E · F · G · H · I · J · K · L · M · N · O · P · Q · R · S · T · U · V · W · X · Y · Z
L
$LANG, PET::Util::Multilang
 License
 LICENSE
 Licensing--simplified
 load
 loadFile($file), PET::Util
 loadFile($file,%params), PET::Util::IO
$Log
$LOG
 logPerf, PET::Dispatcher
M
$MAPPER, PET::Dispatcher
%MAPPINGS, PET::Log
$MAXREQUESTS, PET::RUN::FCGIProcManager
 ml_genout($string), PET::Util::Multilang
 ml_out($string), PET::Util::Multilang
$MODE, PET::Dispatcher
$modulesdir, PET::ActionMapper
 More advanced examples
 More filters
 More help
 Multilangue support
 MVC-style Programming
N
 NAME
 new
 new($class), PET::ActionMapper
 new($disp)
 new($DISP_in)
$noconf
 Notation
O
$obj
 onhref(%p), PET::Util::EHTML
 onStart, PET::Session
P
$PAGECONF, PET::Dispatcher
 Permissions
 PET Explained
 PET installation steps
 PET modules(custom API)
 PET templates
 PET::ActionMapper
 PET::ActionMapper::Single
 PET::ActionMapper::Subdir
 PET::APISkeleton
 PET::APISkeleton::Single
 PET::APISkeleton::Subdir
 PET::Cache
 PET::Cache::FastAndFile
 PET::CacheControl
 PET::Dispatcher
 PET::Filter
 PET::Filter::General
 PET::Filter::GenHtml
 PET::Filter::PreMultiLang
 PET::Filter::UtilXmlMap
 PET::GCONF
 PET::Log
 PET::Request
 PET::RUN::CLI
 PET::RUN::FCGIExternalPreFork
 PET::RUN::FCGIProcManager
 PET::RUN::PreForkEFCGI
 PET::Session
 PET::Session::RamdiskHash
 PET::Session::Simple
 PET::Util
 PET::Util::EHTML
 PET::Util::Image
 PET::Util::IO
 PET::Util::Multilang
 PET::Util::MySQL
 PET::Util::PreMultiLang
 PET::Util::Tags
 PET::Util::Tags::EForm
 pet_run_cli
 pet_setup
$PETEXT, PET::Dispatcher
$pidfile, PET::RUN::PreForkEFCGI
 post_configure_hook, PET::RUN::FCGIExternalPreFork
 preAuth, PET::APISkeleton
 prepareSth(%p), PET::Util::MySQL
 preprocess($file), PET::Util::PreMultiLang
 preprocess($file,$content)
 preprocessTemplate($filename), PET::Dispatcher
 process_request, PET::RUN::FCGIExternalPreFork
Q
$Query, PET::APISkeleton
 Query parameters
our $LANG
This hashref stores all text bindings.
The most important thing is : PET is FREE.
PET is released under the Artistic License.
Obviously this is just a plain, “unofficial” explanation of the license.
sub load
sub load
Load session from disk and returns it.
sub loadFile
Loads a file.
sub loadFile
Loads a file.
our $Log
our $Log
This is of course PET::Log, exported on-demand.
our $Log
my $LOG
An instance of PET::Logger.
my $LOG
PET::Log objektum.
sub logPerf
our $MAPPER
FIXME, this is not (yet) working.
our %MAPPINGS
Map some shortcuts to longer function names.
my $MAXREQUESTS
Number of max.
sub ml_genout
Output general string (non-page specific).
sub ml_out
Output a string (page specific).
our $MODE
In which mode are we currently running (e.g.
our $modulesdir
Set at init time, stores “$BASEPATH/modules” for later usage (module repository).
These examples were only a sneak-peak to PET.
There are more filters, and of course you can also create your own.
Here is a Hungarian presentation that explains what PET is good for.
While PET can be used as some sort of an “active pages” system, that is clearly not the recommended usage.
sub NAME
sub NAME
Must be overriden in subclasses!
sub NAME
sub NAME
Mandatory for all PET::Util classes.
sub NAME
Mandatory for PET::Util classes.
sub NAME
sub NAME
sub NAME
sub NAME
sub NAME
sub new
sub new
sub new
sub new
Constructor method.
sub new
sub new
sub new
Create instance.
sub new
Instanteniate class.
sub new
Default constructor, gets DISP.
sub new
Default constructor, gets DISP.
sub new
Constructor for a filter.
sub new
Guess what...
my $noconf
There are global and local parameters.
our $obj
our $obj
sub onhref
This is mostly used for denoting the currently active menu.
sub onStart
Get or set SUB that is called on session creation.
our $PAGECONF
per-page config data
In general, all files and directories should have the same permission as the user you are runing PET under.
While not strictly necessary, it is very much advised that you read this document about the internals and design of PET.
First, you have to install -- and configure -- Apache.
The modules/ directory stores your custom Perl packages.
All PET templates are stored in *html/*.
Class to map URI-s to ACTION-s.
The simplest PET::ActionMapper subclass.
This is a subclass of PET::ActionMapper, which implement URI mappings in a way that each slash (/) in the URI is mapperd to a package separator (::).
Abstract cache class.
Init-ed by the Dispatcher.
Base class for all Filter modules.
This Filter should be the first one in the chain.
This filter is used to generate HTML-tags and markup from various textual markups at precompile time.
This is a special multilangual module.
This filter is used to map xml-like tags to PET::Util method calls.
General logger class used by PET.
THIS IS A PLACEHOLDER.
This package to run PET in FCGI mode, using FCGI::ProcManager.
This is a base session implementation.
This is a very lightweight session handler optimized for speed.
Base class for all Util modules.
PET Util package for manipulating HTML -- mostly forms.
Various methods that generate/handle images.
General IO class, mostly to simplify file and directory access.
A special multilingual implementation for HTML pages using (My)SQL.
This package handles MySQL.
This is a special multilangual module.
This is an abstract parent for all tag utilities.
Enhnaced FORM handling.
my $PETEXT
my $pidfile
sub post_configure_hook
sub preAuth
This method is called before the API’s method is called, but after getGlobalSubst is generated.
sub prepareSth
Used by many SQL routines, this prepares a statement handle.
sub preprocess
This is called from PET::Dispatcher.
sub preprocess
This is called from PET::Dispatcher.
sub preprocess
The general tag format looks like <!-- TABLIFY(...)
sub preprocess
This is called from PET::Dispatcher.
sub preprocess
This is a (chainable) Filter module that maps XML-like tags to UTIL calls.
sub preprocessTemplate
We run the template preprocess phase here.
sub process_request
our $Query
Using query parameters and conditions.
Close